Hi,

When installing the Juno b3 version of Horizon, the package that I
maintain does the compressions, so that we can use the offline
compression mode, which offers better performances. Unfortunately, it
just breaks. See the log below.

Does anyone has an idea of what's going on, and why this happens?

Cheers,

Thomas Goirand (zigo)

Setting up openstack-dashboard (2014.2~b3-1) ...
RemovedInDjango18Warning: 'The `cycle` template tag is changing to
escape its arguments; the non-autoescaping version is deprecated. Load
it from the `future` tag library to start using the new behavior.
WARNING:py.warnings:RemovedInDjango18Warning: 'The `cycle` template tag
is changing to escape its arguments; the non-autoescaping version is
deprecated. Load it from the `future` tag library to start using the new
behavior.
Found 'compress' tags in:
        
/usr/share/openstack-dashboard/openstack_dashboard/templates/_stylesheets.html
        /usr/lib/python2.7/dist-packages/horizon/templates/horizon/_conf.html
        /usr/lib/python2.7/dist-packages/horizon/templates/horizon/_scripts.html
Compressing... CommandError: An error occured during rendering
/usr/share/openstack-dashboard/openstack_dashboard/templates/_stylesheets.html:
Error evaluating expression:
    (twbs-font-path("") != unquote('twbs-font-path("")'))

>From bootstrap/scss/bootstrap/_variables.scss:1
...imported from bootstrap/scss/bootstrap.scss:6
...imported from <string u'// bootstrap overrides:\n$icon-font-path:
"../../bo'...>:0
Traceback:
  File "/usr/lib/python2.7/dist-packages/scss/expression.py", line 130,
in evaluate_expression
    return ast.evaluate(self, divide=divide)
  File "/usr/lib/python2.7/dist-packages/scss/expression.py", line 182,
in evaluate
    return self.contents.evaluate(calculator, divide=True)
  File "/usr/lib/python2.7/dist-packages/scss/expression.py", line 207,
in evaluate
    left = self.left.evaluate(calculator, divide=True)
  File "/usr/lib/python2.7/dist-packages/scss/expression.py", line 329,
in evaluate
    six.u("%s(%s)" % (func_name, six.u(", ".join(rendered_args)))),
  File "/usr/lib/python2.7/dist-packages/six.py", line 601, in u
    return unicode(s.replace(r'\\', r'\\\\'), "unicode_escape")
TypeError: decoding Unicode is not supported
dpkg: error processing package openstack-dashboard (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 openstack-dashboard
E: Sub-process /usr/bin/dpkg returned an error code (1)

_______________________________________________
OpenStack-dev mailing list
OpenStack-dev@lists.openstack.org
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev

Reply via email to